Bug 500472 - QEMU driver should run all QEMU VMs as non-root system account
QEMU driver should run all QEMU VMs as non-root system account
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On: 346151 497341
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-12 16:19 EDT by Daniel Berrange
Modified: 2009-07-30 08:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 08:18:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-05-12 16:19:50 EDT
Description of problem:
Currently all QEMU instances for qemu:///system are run as root. This is bad for security. We need to switch to run them under a dedicated system account eg 'kvm'.  We already create TAP devices from libvirt & pass the open FD, so networking won't be a problem. This will entail having libvirt chown the disk devices prior to starting a VM, but again not a hard problem.

Likely some other fun with PCI & USB device passthrough, but we'll figure that out as we encounter it.... 

Version-Release number of selected component (if applicable):
0.6.2

How reproducible:
Always

Steps to Reproduce:
1. Rnu a QEMU instance under qemu:///system
2.
3.
  
Actual results:
QEMU runs as root

Expected results:
QEMU does not run as root

Additional info:
Comment 1 Mark McLoughlin 2009-05-21 16:40:44 EDT
See also:

  https://fedoraproject.org/wiki/Features/VirtPrivileges
Comment 2 Daniel Berrange 2009-07-30 08:18:57 EDT
THis is in rawhide, including mgmt of PCI & USB device permissions

Note You need to log in before you can comment on or make changes to this bug.